aboutsummaryrefslogtreecommitdiffstats
path: root/Mk/Scripts
diff options
context:
space:
mode:
authortijl <tijl@FreeBSD.org>2014-09-16 02:23:21 +0800
committertijl <tijl@FreeBSD.org>2014-09-16 02:23:21 +0800
commita7d13c88d8de14ddc8d80a73fe388768ca131fd1 (patch)
tree605bea3289aedddaf14eef7e2d681bc4c7f8030f /Mk/Scripts
parentf5051fb8b7ee4c84ef880ad6d113752cb0f320d0 (diff)
downloadfreebsd-ports-gnome-a7d13c88d8de14ddc8d80a73fe388768ca131fd1.tar.gz
freebsd-ports-gnome-a7d13c88d8de14ddc8d80a73fe388768ca131fd1.tar.zst
freebsd-ports-gnome-a7d13c88d8de14ddc8d80a73fe388768ca131fd1.zip
Turn the installation of *.la files, without some form of USES=libtool in
the port Makefile, into a stage-qa error. All ports that would trigger this error have been converted. Many thanks to all people involved in this, especially Dmitry Marakasov (amdmi3) who handled most ports. At this moment over 2200 ports have USES=libtool and over 20000 library dependencies between packages have been removed. This also marks the point where :keepla is no longer special. It is now only needed if a port uses *.la files at run-time. QA-run by: antoine Approved by: portmgr (antoine)
Diffstat (limited to 'Mk/Scripts')
-rw-r--r--Mk/Scripts/qa.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/Mk/Scripts/qa.sh b/Mk/Scripts/qa.sh
index e7cf6dd12199..b214f42af396 100644
--- a/Mk/Scripts/qa.sh
+++ b/Mk/Scripts/qa.sh
@@ -196,10 +196,10 @@ suidfiles() {
libtool() {
if [ -z "${USESLIBTOOL}" ]; then
- find ${STAGEDIR} -type f -name '*.la' | while read f; do
+ find ${STAGEDIR} -name '*.la' | while read f; do
grep -q 'libtool library' "${f}" &&
- warn ".la libraries found, port needs USES=libtool" &&
- return 0 || true
+ err ".la libraries found, port needs USES=libtool" &&
+ return 1 || true
done
# The return above continues here.
fi